Subject: bug#54133: 29.0.50; Buffer-menu-visit-tags-table disrupts non-tags buffers

From: martin rudalics <[email-masked]>
Date: Thu, 24 Feb 2022 10:19:31 +0100

>     The real problem is that visit-tags-table assumes that the user knows
 > what they're doing, and makes these irreversible changes before being
 > sure of having a valid tags table.  That would be a harder thing to fix,
 > though -- and might not deal as well with my buffer-menu typos.  ;-}

IIUC the problem is that ‘tags-verify-table' calls 'tags-table-mode'
first and 'verify-tags-table-function' afterwards.

martin